Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page lcase_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       lcase_c ( Convert to lowercase )

       void lcase_c ( SpiceChar       * in,
                      SpiceInt          outlen,
                      SpiceChar       * out    )
#### Abstract
       Convert the characters in a string to lowercase.
#### Required_Reading
       None.
#### Keywords
       ASCII
       CHARACTER
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       in         I   Input string.
       outlen     I   Maximum length of output string.
       out        O   Output string, all lowercase.
#### Detailed_Input
       in          is the input string.

       outlen      is the maximum allowed length of the output string,
                   including the terminating null.
#### Detailed_Output
       out         is the output string. This is the input string
                   with all lowercase letters converted to lowercase.
                   Non-letters are not affected.

                   If

                      outlen < strlen(in)+1

                   the output string will be truncated on the right.

                   A terminating null will be placed in out at position

                      MinVal ( strlen(in),  outlen-1 )

                   unless `outlen' is less than or equal to zero.

                   `out' may overwrite `in'.
#### Parameters
       None.
#### Exceptions
       1)  If the output string length is less than the input string
           length, the result will be truncated on the right.

       2)  If the `in' input string pointer is null, the error
           SPICE(NULLPOINTER) is signaled.

       3)  If the `out' output string pointer is null, the error
           SPICE(NULLPOINTER) is signaled.

       4)  If the `out' output string has length less than two
           characters, the error SPICE(STRINGTOOSHORT) is signaled, since
           the output string is too short to contain one character of
           output data plus a null terminator.
#### Files
       None.
#### Particulars
       Convert each uppercase character in `in' to lowercase.
#### Examples
       "This is an example"   becomes   "THIS IS AN EXAMPLE"
       "12345 +-=? > * $ &"             "12345 +-=? > * $ &"
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
       K.R. Gehringer      (JPL)
#### Version
       -CSPICE Version 1.2.0, 04-AUG-2021 (JDR)

           Changed the input argument "lenout" to "outlen" for consistency with
           other routines.

           Edited the header to comply with NAIF standard. Corrected typo
           in -Particulars section.

       -CSPICE Version 1.1.0, 26-JAN-2005 (NJB)

           Cast to SpiceInt was applied to strlen output to suppress
           compiler warnings about comparison of signed and unsigned types.

       -CSPICE Version 1.0.0, 26-AUG-1999 (NJB) (KRG)

          Based on SPICELIB Version 1.1.0, 13-MAR-1996 (KRG)
#### Index_Entries
       convert to lowercase
#### Link to routine lcase_c source file lcase_c.c

    Fri Dec 31 18:41:09 2021